apiVersion: v1
kind: Service
metadata:
  name: my-app
  namespace: my-namespace
  labels:
    app: my-app
spec:
  type: NodePort
  ports:
  - name: web
    port: 9001
    nodePort: 30001
  selector:
    app: my-app
---

apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: my-app
  namespace: my-namespace
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: my-app
    spec:
      containers:
      - image: myimage:latest
        imagePullPolicy: Never
        name: my-app
        ports:
        - containerPort: 9001
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  labels:
    k8s-app: my-app
  name: my-app
  namespace: monitoring
spec:
  endpoints:
  - interval: 15s
    port: web
  selector:
    matchLabels:
      app: my-app
  namespaceSelector:
    matchNames:
    - my-namespace

